Community
cancel
Showing results for 
Search instead for 
Did you mean: 
107 Views

problem while downloading pre-trained model

please help over here while trying to download a pretrained model from jupyter hub command line

 

u38804@s001-n047:/opt/intel/openvino/deployment_tools/tools/model_downloader$ 
u38804@s001-n047:/opt/intel/openvino/deployment_tools/tools/model_downloader$ python ./downloader.py --name person-detection-retail-0013
################|| Downloading models ||################

Traceback (most recent call last):
  File "/glob/intel-python/python3/lib/python3.6/pathlib.py", line 1226, in mkdir
    self._accessor.mkdir(self, mode)
  File "/glob/intel-python/python3/lib/python3.6/pathlib.py", line 387, in wrapped
    return strfunc(str(pathobj), *args)
FileNotFoundError: [Errno 2] No such file or directory: '/glob/development-tools/versions/oneapi/beta05/openvino_2020.1.023/deployment_tools/open_model_zoo/tools/downloader/intel/person-detection-retail-0013'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./downloader.py", line 292, in <module>
    main()
  File "./downloader.py", line 247, in main
    output.mkdir(parents=True, exist_ok=True)
  File "/glob/intel-python/python3/lib/python3.6/pathlib.py", line 1230, in mkdir
    self.parent.mkdir(parents=True, exist_ok=True)
  File "/glob/intel-python/python3/lib/python3.6/pathlib.py", line 1226, in mkdir
    self._accessor.mkdir(self, mode)
  File "/glob/intel-python/python3/lib/python3.6/pathlib.py", line 387, in wrapped
    return strfunc(str(pathobj), *args)
OSError: [Errno 30] Read-only file system: '/glob/development-tools/versions/oneapi/beta05/openvino_2020.1.023/deployment_tools/open_model_zoo/tools/downloader/intel'
u38804@s001-n047:/opt/intel/openvino/deployment_tools/tools/model_downloader$ 

Tags (1)
0 Kudos
3 Replies
JananiC_Intel
Moderator
107 Views

Hi,

Thanks for reaching out.

The command has not mentioned the output directory path so it tries to get downloaded in /glob/intel-python/ path. Since we do not have write permission in  /glob/intel-python/ path it throws the error.

If you are using openvino from this path try to include the output directory path as below

./downloader.py --all --output_dir my/download/directory

 

107 Views

thanks for the help it was very useful

JananiC_Intel
Moderator
107 Views

Hi,

Thanks for the confirmation.

We are closing the case.Please open a new thread if you face further issues.

Reply